diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/dynamic-cache-test.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 1,113 ****
  <?php
  
  /*
!  * A function that uses the wpsc_cachedata filter to add a small message
!  * and the current server time to every web page. The time increments
!  * on every reload.
   *
!  * On the Advanced Settings page enable "Enable dynamic caching".
   *
   * dynamic_cache_test_init()
!  * This function is the first one to be called. This function hooks 
   * dynamic_cache_test_template() to the WordPress action, wp_footer.
!  * This script is loaded before WordPress is and the add_action() 
!  * function isn't defined at this time. 
   * This init function hooks onto the cache action "add_cacheaction"
   * that fires after WordPress (and add_action) is loaded.
   *
   *
   * dynamic_cache_test_template_tag()
!  * This function hooks on to wp_footer and displays the secret template 
   * tag that will be replaced by our dynamic content on each page view.
   *
   *
   * dynamic_cache_test_filter()
   * This function hooks on to the filter through which all the cached data
   * sent to visitors is sent.
!  * In this simple example the template tag is replaced by a html comment 
!  * containing the text "Hello world at " and the current server time. 
!  * If you want to use the output of a WordPress plugin or command you 
!  * must enable "late init" on the settings page. Each time you reload 
!  * the cached page this time will change. View the page source to examine 
   * this text.
   *
-  * Plugin authors: NEVER define the template tag for your users. Make them 
-  * choose one so it will be unique to their site.
-  *
-  * **** MAKE SURE YOU KEEP THE TEMPLATE TAG SECRET ****
-  *
   */
! 
  
  /*
!  * Uncomment the code below, enable dynamic caching on the Advanced Settings
!  * page and clear the cache. 
!  * Be sure to define DYNAMIC_CACHE_TEST_TAG too. Make it a random string
!  * that will never appear on your website. In your own application this
!  * tag can be whatever you like.
   */
  
! /*
! define( 'DYNAMIC_CACHE_TEST_TAG', '' ); // CHANGE THIS!
! define( 'DYNAMIC_OUTPUT_BUFFER_TAG', '' ); // CHANGE THIS!
! 
! if ( DYNAMIC_CACHE_TEST_TAG == '' )
! 	return false;
! 
! // To use an output buffer when generating the dynamic section of your web page
! // you must generate the HTML/JS/CSS and store it before the page is completed.
! // That stored text is used by the wpsc_cachedata filter later when the same
! // function is called again.
! // You must also create a safety function. This function checks that your newly
! // cached page is ready to be processed by the wpsc_cachedata filter. It's not
! // required for already cached pages.
! // See dynamic_output_buffer_test_safety() for an example. You must add this 
! // to avoid the following error:
! // "PHP Fatal error:  ob_start(): Cannot use output buffering in output buffering display handlers in..."
! //
! // Steps to run example plugin:
! // 1. Add the DYNAMIC_OUTPUT_BUFFER_TAG text (as defined above) to your theme where the dynamic content should be.
! // 2. Call dynamic_output_buffer_test() from your theme or an action like wp_footer
! // 3. Clear all cached files.
! 
! function dynamic_output_buffer_test( &$cachedata = 0 ) {
! 	if ( defined( 'DYNAMIC_OB_TEXT' ) )
! 		return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, DYNAMIC_OB_TEXT, $cachedata );
! 
! 	ob_start();
! 	// call the sidebar function, do something dynamic
! 	echo "<p>This is a test. The current time on the server is: " . date( 'H:i:s' ) . "</p>";
! 	$text = ob_get_contents();
! 	ob_end_clean();
! 
! 	if ( $cachedata === 0 ) // called directly from the theme so store the output
! 		define( 'DYNAMIC_OB_TEXT', $text );
! 	else // called via the wpsc_cachedata filter. We only get here in cached pages in wp-cache-phase1.php
! 		return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, $text, $cachedata );
! 
! }
! add_cacheaction( 'wpsc_cachedata', 'dynamic_output_buffer_test' );
! 
! function dynamic_output_buffer_test_safety( $safety ) {
! 	if ( defined( 'DYNAMIC_OB_TEXT' ) )
! 		return 1; // ready to replace tag with dynamic content.
! 	else
! 		return 0; // tag cannot be replaced.
! }
! add_cacheaction( 'wpsc_cachedata_safety', 'dynamic_output_buffer_test_safety' );
! 
! function dynamic_cache_test_filter( &$cachedata) {
! 	return str_replace( DYNAMIC_CACHE_TEST_TAG, "<!-- Hello world at " . date( 'H:i:s' ) . " -->", $cachedata );
! }
! add_cacheaction( 'wpsc_cachedata', 'dynamic_cache_test_filter' );
! 
! function dynamic_cache_test_template_tag() {
! 	echo DYNAMIC_CACHE_TEST_TAG; // This is the template tag
! }
  
! function dynamic_cache_test_init() {
! 	add_action( 'wp_footer', 'dynamic_cache_test_template_tag' );
  }
- add_cacheaction( 'add_cacheaction', 'dynamic_cache_test_init' );
- */
  ?>
--- 1,169 ----
  <?php
  
  /*
!  * On the Advanced Settings page enable "Enable dynamic caching" and clear
!  * the cache.
   *
!  * Plugin authors: NEVER define the template tag for your users. Make them
!  * choose one so it will be unique to their site.
!  *
!  * There are two examples in this file. Both use template tags that must be
!  * kept secret.
!  *
!  * GLOSSARY:
!  *
!  * Dynamic content: the text or widget you want to show visitors to your site
!  * that changes every time it's viewed.
!  * Placeholder/template tag: the string of random characters placed in your
!  * theme file or printed in an action where the dynamic content will go.
!  * Output buffer (ob): any text that is printed by PHP to be sent to the browser
!  * but captured by PHP for further manipulation.
!  * OB Callback function: A function that is called when the output buffer is
!  * filled with a html page. The contents of the page are passed to the function
!  * for processing.
!  *
!  * **** MAKE SURE YOU KEEP THE TEMPLATE TAG SECRET ****
!  */
! 
! /*
!  * EXAMPLE 1
!  * http://ocaoimh.ie/2013/10/21/shiny-new-dynamic-content-wp-super-cache/
!  * Replace a string in your theme with the dynamic content.
   *
   * dynamic_cache_test_init()
!  * This function is the first one to be called. This function hooks
   * dynamic_cache_test_template() to the WordPress action, wp_footer.
!  * This script is loaded before WordPress is and the add_action()
!  * function isn't defined at this time.
   * This init function hooks onto the cache action "add_cacheaction"
   * that fires after WordPress (and add_action) is loaded.
   *
   *
   * dynamic_cache_test_template_tag()
!  * This function hooks on to wp_footer and displays the secret template
   * tag that will be replaced by our dynamic content on each page view.
   *
   *
   * dynamic_cache_test_filter()
   * This function hooks on to the filter through which all the cached data
   * sent to visitors is sent.
!  * In this simple example the template tag is replaced by a html comment
!  * containing the text "Hello world at " and the current server time.
!  * If you want to use the output of a WordPress plugin or command you
!  * must enable "late init" on the settings page. Each time you reload
!  * the cached page this time will change. View the page source to examine
   * this text.
   *
   */
! define( 'DYNAMIC_CACHE_TEST_TAG', '' ); // Change this to a secret placeholder tag
! if ( DYNAMIC_CACHE_TEST_TAG != '' ) {
! 	function dynamic_cache_test_safety( $safety ) {
! 		return 1;
! 	}
! 	add_cacheaction( 'wpsc_cachedata_safety', 'dynamic_output_buffer_test_safety' );
! 
! 
! 	function dynamic_cache_test_filter( &$cachedata) {
! 		return str_replace( DYNAMIC_CACHE_TEST_TAG, "<!-- Hello world at " . date( 'H:i:s' ) . " -->", $cachedata );
! 	}
! 	add_cacheaction( 'wpsc_cachedata', 'dynamic_cache_test_filter' );
! 
! 	function dynamic_cache_test_template_tag() {
! 		echo DYNAMIC_CACHE_TEST_TAG; // This is the template tag
! 	}
! 
! 	function dynamic_cache_test_init() {
! 		add_action( 'wp_footer', 'dynamic_cache_test_template_tag' );
! 	}
! 	add_cacheaction( 'add_cacheaction', 'dynamic_cache_test_init' );
! }
  
  /*
!  * EXAMPLE 2
!  *
!  * This is going to be complicated. Hang on!
!  *
!  * When the cache file for a new page is generated the plugin uses an output
!  * buffer to capture the page. A callback function processes the buffer and
!  * writes to the cache file. The placeholder tag for any dynamic content has
!  * to be written to that cache file but also, it has to be replaced with
!  * dynamic content before the page is shown to the user.
!  * More on output buffers here: http://php.net/ob_start
!  *
!  * Unfortunately an extra output buffer is often required when capturing dynamic
!  * content such as sidebar widgets. Due to a quirk of the way PHP works it's
!  * not possible to have an output buffer run in an output buffer callback. That
!  * dynamic content has to be generated before the callback function is reached.
!  * The following error occurs when an output buffer is created in the
!  * callback function of another output buffer:
!  * "PHP Fatal error:  ob_start(): Cannot use output buffering in output buffering display handlers in..."
!  *
!  * In this example the function add_action() isn't available when this file is
!  * loaded so dynamic_output_buffer_init() is hooked on to the "add_cacheaction"
!  * cacheaction. That function then hooks dynamic_output_buffer_test() on to the
!  * familiar wp_footer action.
!  *
!  * The first time dynamic_output_buffer_test() runs it generates the dynamic
!  * content and captures it with ob_start() in the DYNAMIC_OB_TEXT constant.
!  *
!  * When the main WP Super Cache output buffer is ready the callback is called.
!  * This fires the wpsc_cachedata_safety filter. If the DYNAMIC_OB_TEXT constant
!  * is set, which means dynamic content is ready, then it returns 1, a signal
!  * that everything is ok.
!  * Finally, the wpsc_cachedata filter is run. The function
!  * dynamic_output_buffer_test() is hooked on to it. Since DYNAMIC_OB_TEXT is
!  * set it replaces the placeholder text with that constant.
!  * The resulting html is then sent to the browser.
!  *
!  * Already cached pages call the safety filter, and then the wpsc_cachedata
!  * filter so any hooked function must be ready to generate dynamic content. The
!  * very last line of dynamic_output_buffer_test() replaces the placeholder tag
!  * with the dynamic content in the cache file.
!  *
!  *
!  * Use an output buffer to capture dynamic content while the page is generated
!  * and insert into the right place:
!  * Remember to add the DYNAMIC_OUTPUT_BUFFER_TAG text (as defined below) to
!  * your theme where the dynamic content should be.
!  *
!  * dynamic_output_buffer_test() is a function that uses the wpsc_cachedata
!  * filter to add a small message and the current server time to every web
!  * page. The time increments on every reload.
!  *
   */
  
! define( 'DYNAMIC_OUTPUT_BUFFER_TAG', '' ); // Change this to a secret placeholder tag
  
! if ( DYNAMIC_OUTPUT_BUFFER_TAG != '' ) {
! 	function dynamic_output_buffer_test( &$cachedata = 0 ) {
! 		if ( defined( 'DYNAMIC_OB_TEXT' ) )
! 			return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, DYNAMIC_OB_TEXT, $cachedata );
! 
! 		ob_start();
! 		// call the sidebar function, do something dynamic
! 		echo "<p>This is a test. The current time on the server is: " . date( 'H:i:s' ) . "</p>";
! 		$text = ob_get_contents();
! 		ob_end_clean();
! 
! 		if ( $cachedata === 0 ) { // called directly from the theme so store the output
! 			define( 'DYNAMIC_OB_TEXT', $text );
! 		} else // called via the wpsc_cachedata filter. We only get here in cached pages in wp-cache-phase1.php
! 			return str_replace( DYNAMIC_OUTPUT_BUFFER_TAG, $text, $cachedata );
! 
! 	}
! 	add_cacheaction( 'wpsc_cachedata', 'dynamic_output_buffer_test' );
! 
! 	function dynamic_output_buffer_init() {
! 		add_action( 'wp_footer', 'dynamic_output_buffer_test' );
! 	}
! 	add_cacheaction( 'add_cacheaction', 'dynamic_output_buffer_init' );
! 
! 	function dynamic_output_buffer_test_safety( $safety ) {
! 		if ( defined( 'DYNAMIC_OB_TEXT' ) ) // this is set when you call dynamic_output_buffer_test() from the theme
! 			return 1; // ready to replace tag with dynamic content.
! 		else
! 			return 0; // tag cannot be replaced.
! 	}
! 	add_cacheaction( 'wpsc_cachedata_safety', 'dynamic_output_buffer_test_safety' );
  }
  ?>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/jetpack.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/jetpack.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/jetpack.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/jetpack.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 2,8 ****
  
  function wp_super_cache_jetpack_admin() {
  	global $cache_jetpack, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_jetpack = $cache_jetpack == '' ? '0' : $cache_jetpack;
  
  	if(isset($_POST['cache_jetpack']) && $valid_nonce) {
--- 2,8 ----
  
  function wp_super_cache_jetpack_admin() {
  	global $cache_jetpack, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_jetpack = $cache_jetpack == '' ? '0' : $cache_jetpack;
  
  	if(isset($_POST['cache_jetpack']) && $valid_nonce) {
***************
*** 21,27 ****
  	}
  	$id = 'jetpack-section';
  	?>
! 	<fieldset id="<?php echo $id; ?>" class="options"> 
  	<h4><?php _e( 'Jetpack Mobile Theme', 'wp-super-cache' ); ?></h4>
  	<?php
  	if ( false == file_exists( dirname( WPCACHEHOME ) . '/jetpack/class.jetpack-user-agent.php' ) ) {
--- 21,27 ----
  	}
  	$id = 'jetpack-section';
  	?>
! 	<fieldset id="<?php echo $id; ?>" class="options">
  	<h4><?php _e( 'Jetpack Mobile Theme', 'wp-super-cache' ); ?></h4>
  	<?php
  	if ( false == file_exists( dirname( WPCACHEHOME ) . '/jetpack/class.jetpack-user-agent.php' ) ) {
***************
*** 39,45 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Jetpack Mobile Theme support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 		echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  		wp_nonce_field('wp-cache');
  		?>
  		</form>
--- 39,45 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "Jetpack Mobile Theme support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 		echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  		wp_nonce_field('wp-cache');
  		?>
  		</form>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/searchengine.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/searchengine.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/searchengine.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 54,60 ****
  
  function wp_supercache_searchengine_admin() {
  	global $cache_no_adverts_for_friends, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_no_adverts_for_friends = $cache_no_adverts_for_friends == '' ? 'no' : $cache_no_adverts_for_friends;
  
  	if(isset($_POST['cache_no_adverts_for_friends']) && $valid_nonce) {
--- 54,60 ----
  
  function wp_supercache_searchengine_admin() {
  	global $cache_no_adverts_for_friends, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_no_adverts_for_friends = $cache_no_adverts_for_friends == '' ? 'no' : $cache_no_adverts_for_friends;
  
  	if(isset($_POST['cache_no_adverts_for_friends']) && $valid_nonce) {
***************
*** 63,69 ****
  	}
  	$id = 'no_adverts_for_friends-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options"> 
  		<h4><?php _e( 'No Adverts for Friends', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_no_adverts_for_friends" value="1" <?php if( $cache_no_adverts_for_friends == 'yes' ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
--- 63,69 ----
  	}
  	$id = 'no_adverts_for_friends-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options">
  		<h4><?php _e( 'No Adverts for Friends', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_no_adverts_for_friends" value="1" <?php if( $cache_no_adverts_for_friends == 'yes' ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
***************
*** 77,83 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "No Adverts for Friends support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
--- 77,83 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "No Adverts for Friends support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/wptouch.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/wptouch.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/plugins/wptouch.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/plugins/wptouch.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 2,8 ****
  
  function wp_super_cache_wptouch_admin() {
  	global $cache_wptouch, $wp_cache_config_file, $valid_nonce;
! 	
  	$cache_wptouch = $cache_wptouch == '' ? '0' : $cache_wptouch;
  
  	if(isset($_POST['cache_wptouch']) && $valid_nonce) {
--- 2,8 ----
  
  function wp_super_cache_wptouch_admin() {
  	global $cache_wptouch, $wp_cache_config_file, $valid_nonce;
! 
  	$cache_wptouch = $cache_wptouch == '' ? '0' : $cache_wptouch;
  
  	if(isset($_POST['cache_wptouch']) && $valid_nonce) {
***************
*** 16,22 ****
  	}
  	$id = 'wptouch-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options"> 
  		<h4><?php _e( 'WPTouch', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_wptouch" value="1" <?php if( $cache_wptouch ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
--- 16,22 ----
  	}
  	$id = 'wptouch-section';
  	?>
! 		<fieldset id="<?php echo $id; ?>" class="options">
  		<h4><?php _e( 'WPTouch', 'wp-super-cache' ); ?></h4>
  		<form name="wp_manager" action="" method="post">
  		<label><input type="radio" name="cache_wptouch" value="1" <?php if( $cache_wptouch ) { echo 'checked="checked" '; } ?>/> <?php _e( 'Enabled', 'wp-super-cache' ); ?></label>
***************
*** 30,36 ****
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "WPTouch support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
--- 30,36 ----
  				$status = __( "disabled" );
  			echo "<p><strong>" . sprintf( __( "WPTouch support is now %s", 'wp-super-cache' ), $status ) . "</strong></p>";
  		}
! 	echo '<div class="submit"><input class="button-primary" ' . SUBMITDISABLED . 'type="submit" value="' . __( 'Update', 'wp-super-cache' ) . '" /></div>';
  	wp_nonce_field('wp-cache');
  	?>
  	</form>
***************
*** 57,63 ****
  	add_cacheaction( 'add_cacheaction', 'wp_super_cache_wptouch_exists' );
  }
  
! // disable mobile checking if 
  function wp_super_cache_maybe_disable_wptouch( $t ) {
  	global $cache_wptouch, $wptouch_exclude_ua;
  	if ( $cache_wptouch != 1 )
--- 57,63 ----
  	add_cacheaction( 'add_cacheaction', 'wp_super_cache_wptouch_exists' );
  }
  
! // disable mobile checking if
  function wp_super_cache_maybe_disable_wptouch( $t ) {
  	global $cache_wptouch, $wptouch_exclude_ua;
  	if ( $cache_wptouch != 1 )
***************
*** 96,102 ****
  
  function wp_super_cache_wptouch_prefixes( $prefixes ) {
  	return array(); // wptouch doesn't support UA prefixes
! } 
  
  function wp_super_cache_wptouch_cookie_check( $cache_key ) {
  	if ( false == isset( $_COOKIE[ 'wptouch_switch_toggle' ] ) )
--- 96,102 ----
  
  function wp_super_cache_wptouch_prefixes( $prefixes ) {
  	return array(); // wptouch doesn't support UA prefixes
! }
  
  function wp_super_cache_wptouch_cookie_check( $cache_key ) {
  	if ( false == isset( $_COOKIE[ 'wptouch_switch_toggle' ] ) )
diff -crBPN --exclude=.htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=.htaccess-dist --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.4.pl /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php
*** /home/packages/qi/SOURCES/wordpress-3.7.1/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php	2013-10-30 20:29:20.000000000 +0300
--- /home/packages/qi/SOURCES/wordpress-3.7.4/wp-content/plugins/wp-super-cache/wp-cache-config-sample.php	2014-08-08 20:30:29.000000000 +0400
***************
*** 17,23 ****
  $file_prefix = 'wp-cache-';
  $ossdlcdn = 0;
  
! // Array of files that have 'wp-' but should still be cached 
  $cache_acceptable_files = array( 'wp-comments-popup.php', 'wp-links-opml.php', 'wp-locations.php' );
  
  $cache_rejected_uri = array('wp-.*\\.php', 'index\\.php');
--- 17,23 ----
  $file_prefix = 'wp-cache-';
  $ossdlcdn = 0;
  
! // Array of files that have 'wp-' but should still be cached
  $cache_acceptable_files = array( 'wp-comments-popup.php', 'wp-links-opml.php', 'wp-locations.php' );
  
  $cache_rejected_uri = array('wp-.*\\.php', 'index\\.php');
***************
*** 44,50 ****
  // change to relocate the supercache plugins directory
  $wp_cache_plugins_dir = WPCACHEHOME . 'plugins';
  // set to 1 to do garbage collection during normal process shutdown instead of wp-cron
! $wp_cache_shutdown_gc = 0; 
  $wp_super_cache_late_init = 0;
  
  // uncomment the next line to enable advanced debugging features
--- 44,50 ----
  // change to relocate the supercache plugins directory
  $wp_cache_plugins_dir = WPCACHEHOME . 'plugins';
  // set to 1 to do garbage collection during normal process shutdown instead of wp-cron
! $wp_cache_shutdown_gc = 0;
  $wp_super_cache_late_init = 0;
  
  // uncomment the next line to enable advanced debugging features
